---
title: XPathNSResolver.lookupNamespaceURI()
slug: Web/API/XPathNSResolver/lookupNamespaceURI
tags:
  - API
  - DOM
  - DOM XPath API
  - Method
  - Reference
  - XPath
  - XPathNSResolver
---
<div>{{APIRef("DOM XPath")}}</div>

<p>The <code>lookupNamespaceURI</code> method looks up the namespace URI associated to the given namespace prefix within an {{Glossary("XPath")}} expression evaluated by the {{domxref("XPathEvaluator")}} interface.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>DOMString</var> <var>XPathNSResolver</var>.lookupNamespaceURI(<var>prefix</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>prefix</dt>
 <dd>A {{domxref("DOMString")}} representing the prefix to look for.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} representing the associated namespace URI or <code>null</code> if none is found.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 XPath", "xpath.html#XPathNSResolver-lookupNamespaceURI", "XPathNSResolver.lookupNamespaceURI()")}}</td>
   <td>{{Spec2("DOM3 XPath")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XPathNSResolver.lookupNamespaceURI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("XPathEvaluator")}}</li>
 <li>{{domxref("Node.lookupNamespaceURI()")}}</li>
</ul>
